Skip to main content
GET
/
filings
/
items
Get SEC filing items
curl --request GET \
  --url https://api.aisa.one/apis/v1/financial/filings/items \
  --header 'Authorization: Bearer <token>'
{
  "ticker": "<string>",
  "cik": "<string>",
  "filing_type": "<string>",
  "accession_number": "<string>",
  "year": 123,
  "quarter": 123,
  "items": [
    {
      "number": "<string>",
      "name": "<string>",
      "text": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

ticker
string
required

The ticker symbol.

filing_type
enum<string>
required

The type of filing.

Available options:
10-K,
10-Q,
8-K
year
integer
required

The year of the filing.

quarter
integer

The quarter of the filing if 10-Q.

item
enum<string>

The item to get.

Available options:
Item-1,
Item-1A,
Item-1B,
Item-2,
Item-3,
Item-4,
Item-5,
Item-6,
Item-7,
Item-7A,
Item-8,
Item-9,
Item-9A,
Item-9B,
Item-10,
Item-11,
Item-12,
Item-13,
Item-14,
Item-15,
Item-16,
Item-1.01,
Item-1.02,
Item-1.03,
Item-1.04,
Item-2.01,
Item-2.02,
Item-2.03,
Item-2.04,
Item-2.05,
Item-2.06,
Item-3.01,
Item-3.02,
Item-3.03,
Item-4.01,
Item-4.02,
Item-5.01,
Item-5.02,
Item-5.03,
Item-5.04,
Item-5.05,
Item-5.06,
Item-5.07,
Item-5.08,
Item-6.01,
Item-6.02,
Item-6.03,
Item-6.04,
Item-6.05,
Item-7.01,
Item-8.01,
Item-9.01
accession_number
string

The accession number of the filing if 8-K.

include_exhibits
boolean
default:false

Whether to include the raw text from linked exhibits. Only applicable for 8-K filings. When true, exhibit objects will include the 'text' field containing the full exhibit content.

Response

SEC filing items response

ticker
string

The ticker symbol of the company.

cik
string

The Central Index Key (CIK) of the company.

filing_type
string

The type of filing.

accession_number
string

The accession number of the filing.

year
integer

The year of the filing.

quarter
integer

The quarter of the filing.

items
object[]